NvRulesAPI: NV::Rules::INvtxRange Class Reference

# NV::Rules::INvtxRange Class Reference
[NvRules Python garbage-collected classes.]

NvtxRange interface. More...

## Public Member Functions
virtual uint32_t | category () const =0
| Get the category attribute value.
virtual uint32_t | color () const =0
| Get the color attribute value.
virtual bool | has_attributes () const =0
| Check if the range has event attributes.
virtual std::string | message () const =0
| Get the message attribute value.
virtual std::string | name () const =0
| Get the range name.
virtual double | payload_as_double () const =0
| Get the payload attribute value as double (64-bit floating point).
virtual std::string | payload_as_string () const =0
| Get the payload attribute value as a string.
virtual uint64_t | payload_as_uint64 () const =0
| Get the payload attribute value as uint64.
virtual PayloadType | payload_type () const =0
| Get the payload attribute type.

## Detailed Description

Represents a single NVTX Push/Pop or Start/End range.

## Member Function Documentation

virtual uint32_t NV::Rules::INvtxRange::category | ( |  | ) | const`[pure virtual]`

Get the category attribute value. If INvtxRange::has_attributes returns false, the returned value is undefined.

virtual uint32_t NV::Rules::INvtxRange::color | ( |  | ) | const`[pure virtual]`

Get the color attribute value. If INvtxRange::has_attributes returns false, the returned value is undefined.

virtual bool NV::Rules::INvtxRange::has_attributes | ( |  | ) | const`[pure virtual]`

Check if the range has event attributes, such as INvtxRange::color, INvtxRange::category, or INvtxRange::message.

virtual std::string NV::Rules::INvtxRange::message | ( |  | ) | const`[pure virtual]`

Get the message attribute value. If INvtxRange::has_attributes returns false, the returned value is undefined.

virtual std::string NV::Rules::INvtxRange::name | ( |  | ) | const`[pure virtual]`

Get the name of this range

virtual double NV::Rules::INvtxRange::payload_as_double | ( |  | ) | const`[pure virtual]`

Get the payload attribute value as a double (64-bit floating point). If the INvtxRange::payload_type cannot be casted to double, the returned value is undefined. If INvtxRange::has_attributes returns false, the returned value is undefined.

virtual std::string NV::Rules::INvtxRange::payload_as_string | ( |  | ) | const`[pure virtual]`

Get the payload attribute value as a string. If the INvtxRange::payload_type cannot be casted to a string, the returned value is undefined. If INvtxRange::has_attributes returns false, the returned value is undefined.

virtual uint64_t NV::Rules::INvtxRange::payload_as_uint64 | ( |  | ) | const`[pure virtual]`

Get the payload attribute value as a uint64. If the INvtxRange::payload_type cannot be casted to uint64, the returned value is undefined. If INvtxRange::has_attributes returns false, the returned value is undefined.

virtual PayloadType NV::Rules::INvtxRange::payload_type | ( |  | ) | const`[pure virtual]`

Get the payload attribute type. If INvtxRange::has_attributes returns false, the returned type is undefined.